Cyan Web API - Version 1


GET api/messages/{messageId}

            Gets a Message.
            

Request Information

Parameters

NameDescriptionAdditional information
messageId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageId": "8323fd93-696f-4545-bab3-8d1c4183f19b",
  "tenantId": "47c467af-d0a0-4b97-9ad2-7c742054bc4a",
  "messageTypeId": "6949ae4a-7316-4d66-97f1-b34f66a300ac",
  "messageTypeLookupKey": "sample string 4",
  "userId": "8095d348-72a2-4257-840d-b6387185caca",
  "userGroupId": "554b3fc5-11fc-4ee9-9146-e4f53ece3442",
  "deviceId": "9f0e2026-2048-4bad-bb8b-8ecbefaba66b",
  "deviceGroupId": "89a566ed-ac4d-41f1-964d-7517b3b587ee",
  "applicationId": "515c045a-2cca-4f91-a1a2-ab573462fc1c",
  "applicationVersionId": "ccba770a-1f5a-4348-a296-c1e1bac52a61",
  "senderSessionId": "sample string 5",
  "senderSessionSequence": 1,
  "senderCorrelationId": "sample string 6",
  "senderGroup": "sample string 7",
  "senderNote": "sample string 8",
  "body": "sample string 9",
  "storeEncryptedPassword": true,
  "storeHashedPassword": true,
  "messageAuditId": "66c8f7fb-e171-4ba9-81c8-5da380b0e3c8",
  "messageAuditMessageAuditTypeId": "ae2f0b8d-3781-4378-8603-4e55760b5caa",
  "messageAuditMessageAuditTypeName": "sample string 14",
  "messageAuditMessageAuditTypeLookupKey": "sample string 15",
  "messageAuditText": "sample string 16",
  "messageAuditCreatedDateUtc": "2026-03-14T23:43:45.7796005+00:00",
  "messageAuditUpdatedDateUtc": "2026-03-14T23:43:45.7796005+00:00",
  "cyanId": 18,
  "messageAuditCyanId": 1,
  "resubmitCount": 19,
  "createdDateUtc": "2026-03-14T23:43:45.7796005+00:00",
  "updatedDateUtc": "2026-03-14T23:43:45.7796005+00:00"
}

application/xml, text/xml

Sample:
<MessageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-14T23:43:45.7796005+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-14T23:43:45.7796005+00:00</UpdatedDateUtc>
  <ApplicationId>515c045a-2cca-4f91-a1a2-ab573462fc1c</ApplicationId>
  <ApplicationVersionId>ccba770a-1f5a-4348-a296-c1e1bac52a61</ApplicationVersionId>
  <Body>sample string 9</Body>
  <CyanId>18</CyanId>
  <DeviceGroupId>89a566ed-ac4d-41f1-964d-7517b3b587ee</DeviceGroupId>
  <DeviceId>9f0e2026-2048-4bad-bb8b-8ecbefaba66b</DeviceId>
  <MessageAuditCreatedDateUtc>2026-03-14T23:43:45.7796005+00:00</MessageAuditCreatedDateUtc>
  <MessageAuditCyanId>1</MessageAuditCyanId>
  <MessageAuditId>66c8f7fb-e171-4ba9-81c8-5da380b0e3c8</MessageAuditId>
  <MessageAuditMessageAuditTypeId>ae2f0b8d-3781-4378-8603-4e55760b5caa</MessageAuditMessageAuditTypeId>
  <MessageAuditMessageAuditTypeLookupKey>sample string 15</MessageAuditMessageAuditTypeLookupKey>
  <MessageAuditMessageAuditTypeName>sample string 14</MessageAuditMessageAuditTypeName>
  <MessageAuditText>sample string 16</MessageAuditText>
  <MessageAuditUpdatedDateUtc>2026-03-14T23:43:45.7796005+00:00</MessageAuditUpdatedDateUtc>
  <MessageId>8323fd93-696f-4545-bab3-8d1c4183f19b</MessageId>
  <MessageTypeId>6949ae4a-7316-4d66-97f1-b34f66a300ac</MessageTypeId>
  <MessageTypeLookupKey>sample string 4</MessageTypeLookupKey>
  <ResubmitCount>19</ResubmitCount>
  <SenderCorrelationId>sample string 6</SenderCorrelationId>
  <SenderGroup>sample string 7</SenderGroup>
  <SenderNote>sample string 8</SenderNote>
  <SenderSessionId>sample string 5</SenderSessionId>
  <SenderSessionSequence>1</SenderSessionSequence>
  <StoreEncryptedPassword>true</StoreEncryptedPassword>
  <StoreHashedPassword>true</StoreHashedPassword>
  <TenantId>47c467af-d0a0-4b97-9ad2-7c742054bc4a</TenantId>
  <UserGroupId>554b3fc5-11fc-4ee9-9146-e4f53ece3442</UserGroupId>
  <UserId>8095d348-72a2-4257-840d-b6387185caca</UserId>
</MessageRepresentation>